%define upstream_name    Proc-Daemon
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 2

Summary:    Run a perl program as a daemon process
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     pid.patch
BuildArch:  noarch

%description
Proc::Daemon provides the capability for a Perl program to run
as a Unix daemon process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Proc


%changelog
* Mon Jan 06 2014 luigiwalser <luigiwalser> 0.140.0-2.1.mga3
+ Revision: 565233
- add Debian patch to fix CVE-2013-7135 (insecure PID file)

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 372132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 107366
- update to 0.14

* Sun Apr 03 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 80140
- update to 0.10

* Wed Mar 16 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 72356
- update to 0.09

* Mon Mar 14 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 70990
- update to 0.08

* Tue Feb 22 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 56737
- update to 0.07

* Thu Feb 17 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 53203
- update to 0.06

* Tue Jan 18 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 22785
- cleaning spec file
- imported package perl-Proc-Daemon


* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 596010
- update to new version 0.05

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 404351
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.03-5mdv2009.0
+ Revision: 241847
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-3mdv2008.0
+ Revision: 86819
- rebuild


* Sun Apr 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdk
- contributed by Kyle Yencer <kyle@yencer.net>

